Create Disbursement

Creates a disbursement for a worker. A disbursement is an initiation of payment to a worker. In sandbox, providing a value from this table to metadata.mock_response will return a mock disbursement with a corresponding reason_code, status, and HTTP Response Code.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
int32
required

Organization ID

string
required

Worker ID

Body Params
int64
required
≥ 0

Amount, in cents, to be disbursed to the worker.

string
required
length between 0 and 64

Allows the custom specification of a unique ID that correlates back to your own records.

string
enum
required

TIP: Disbursement for a tip earned by worker

TRIP: Disbursement for a trip made by worker

MILEAGE: Disbursement for miles driven by worker

PAYCHECK: Disbursement for income earned by worker

MISCELLANEOUS: Disbursement to worker for miscellaneous reasons

DEVICE: Disbursement for a worker’s device

DELIVERY: Disbursement for a delivery made by worker

DEPOSIT: Disbursement for a generic purposes

REWARD: Disbursement for a reward earned

PER_DIEM: Disbursement for per diem reimbursement

BONUS: Disbursement representing a non-usual payment

string
length between 0 and 150

A grouping for the worker. This could be anything that is used by your organization in order to group workers: store id, worker tier, region code, etc.

string
length between 0 and 32

The primary label of the disbursement. This will be displayed to the worker in the application. If left blank, will default to the disbursement type or a template value configured in organization settings

string
length between 0 and 32

The sub label of the disbursement. This will be displayed to the worker in the application. If left blank, will default to the organization name or a template value configured in organization settings

string
required
length between 0 and 256

The description of the disbursement. This will be displayed in PayAdmin, and is not visible to the worker

boolean
Defaults to false

If a disbursement with matching external_id and type exists, and status != COMPLETED, will retry instead of skipping.

metadata
object

Accepts custom JSON. Format definition

date-time

Date and time at which the specified amount will be disbursed to the worker.

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json